Gradle PGP签名插件安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1743109 漏洞类型 输入验证错误
发布时间 2019-09-16 更新时间 2019-09-20
CVE编号 CVE-2019-16370 CNNVD-ID CNNVD-201909-770
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201909-770
|漏洞详情
Gradle是一套基于JVM的项目构建工具,它支持maven、Ivy仓库等。PGP signing plugin是其中的一个PGP(Pretty Good Privacy)签名插件。 Gradle 6.0之前版本中的PGP签名插件存在安全漏洞。攻击者可利用该漏洞实施中间人攻击。
|参考资料

来源:github.com

链接:https://github.com/gradle/gradle/pull/10543


来源:github.com

链接:https://github.com/gradle/gradle/commit/425b2b7a50cd84106a77cdf1ab665c89c6b14d2f


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-16370